package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkWholesaleOrderCommitRequest struct {
	/*
	   采购单信息     */
	OrderCommitReq *domain.AlibabaWdkWholesaleOrderCommitOrderCommitReq `json:"order_commit_req" required:"true" `
}

func (s *AlibabaWdkWholesaleOrderCommitRequest) SetOrderCommitReq(v domain.AlibabaWdkWholesaleOrderCommitOrderCommitReq) *AlibabaWdkWholesaleOrderCommitRequest {
	s.OrderCommitReq = &v
	return s
}

func (req *AlibabaWdkWholesaleOrderCommitRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderCommitReq != nil {
		paramMap["order_commit_req"] = util.ConvertStruct(*req.OrderCommitReq)
	}
	return paramMap
}

func (req *AlibabaWdkWholesaleOrderCommitRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
